Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Alerts
  • Audit Logs
  • Contacts
  • Custom user roles
  • Escalations
  • Forwarding rules
  • Heartbeats
  • Integrations
  • Integration actions
  • Integration outgoing filters
  • Maintenances
  • Notification rules
  • Notification rule steps
  • Policies
  • Team
  • Team Policies
  • Team roles
  • Routing rules
  • Schedules
  • Schedule on-calls
  • Schedule overrides
  • Schedule rotations
  • Schedule timelines
  • Syncs
  • Sync actions
  • Sync action groups
  • Status Page
  • Stakeholder User management
  • Other operations
Cloud
Jira Service Management ops / Reference / REST API

Notification rule steps

Postman Collection
OpenAPI
GET

List notification rule steps

Lists all notifaction rule steps for the user. It optionally takes two parameters - offset and size.

read:ops-config:jira-service-management

Request

Path parameters

ruleId

string

Required

Query parameters

offset

integer

size

integer

Responses

Returned if the request is successful.

application/json

NotificationRulesStepPaginatedResponse
GET/api/{cloudId}/v1/notification-rules/{ruleId}/steps
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/v1/notification-rules/{ruleId}/steps' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "values": [ { "id": "dbf70781-d6d8-4924-b90d-6a0c77833748", "sendAfter": 5, "contact": { "method": "email", "to": "johnsmith@atlassian.com" }, "enabled": true } ], "links": { "next": "/v1/notification-rules/0hcb717e-c442-4185-8bc1-cc998844f567/steps?offset=10&size=5" } }
POST

Create notification rule step

Creates a notification rule step with the given properties.

read:ops-config:jira-service-management
,
write:ops-config:jira-service-management

Request

Path parameters

ruleId

string

Required

Request bodyapplication/json

contact

NotificationRulesStepContact

Required
sendAfter

integer

enabled

boolean

Required

Responses

Returned if the request is successful.

application/json

NotificationRulesStepNotificationRuleStep
POST/api/{cloudId}/v1/notification-rules/{ruleId}/steps
1 2 3 4 5 6 7 8 9 10 11 12 13 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/v1/notification-rules/{ruleId}/steps' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "contact": { "method": "email", "to": "johnsmith@atlassian.com" }, "sendAfter": 5, "enabled": true }'
201Response
1 2 3 4 5 6 7 8 9 { "id": "dbf70781-d6d8-4924-b90d-6a0c77833748", "sendAfter": 5, "contact": { "method": "email", "to": "johnsmith@atlassian.com" }, "enabled": true }
GET

Get notification rule step

Gets a notification rule step with given id in the request.

read:ops-config:jira-service-management

Request

Path parameters

ruleId

string

Required
id

string

Required

Responses

Returned if the request is successful.

application/json

NotificationRulesStepNotificationRuleStep
GET/api/{cloudId}/v1/notification-rules/{ruleId}/steps/{id}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/v1/notification-rules/{ruleId}/steps/{id}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 { "id": "dbf70781-d6d8-4924-b90d-6a0c77833748", "sendAfter": 5, "contact": { "method": "email", "to": "johnsmith@atlassian.com" }, "enabled": true }
DEL

Delete notification rule step

Deletes a notification rule step with given id in the request.

read:ops-config:jira-service-management
,
delete:ops-config:jira-service-management

Request

Path parameters

ruleId

string

Required
id

string

Required

Responses

Returned if the request is successful.

DEL/api/{cloudId}/v1/notification-rules/{ruleId}/steps/{id}
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/v1/notification-rules/{ruleId}/steps/{id}' \ --user 'email@example.com:<api_token>'
PATCH

Update notification rule step

Updates a notification rule step with given id in the request.

read:ops-config:jira-service-management
,
write:ops-config:jira-service-management

Request

Path parameters

ruleId

string

Required
id

string

Required

Request bodyapplication/json

contact

NotificationRulesStepContact

sendAfter

integer

enabled

boolean

Responses

Returned if the request is successful.

application/json

NotificationRulesStepNotificationRuleStep
PATCH/api/{cloudId}/v1/notification-rules/{ruleId}/steps/{id}
1 2 3 4 5 6 7 8 9 10 11 12 13 curl --request PATCH \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/v1/notification-rules/{ruleId}/steps/{id}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "contact": { "method": "email", "to": "johnsmith@atlassian.com" }, "sendAfter": 5, "enabled": true }'
200Response
1 2 3 4 5 6 7 8 9 { "id": "dbf70781-d6d8-4924-b90d-6a0c77833748", "sendAfter": 5, "contact": { "method": "email", "to": "johnsmith@atlassian.com" }, "enabled": true }

Rate this page: